Subject: Re: bug#51886: 29.0.50; pixel-scroll-mode garbage collects like crazy

From: Po Lu <[email-masked]>
Date: Wed, 21 Sep 2022 10:09:13 +0800

Lars Ingebrigtsen <[email-masked]> writes:

> This was almost a year ago, and I think you've fixed a bunch of things
> in this area meanwhile, if I remember correctly?  Is this bug report
> still relevant?  (I haven't tried to reproduce the problem myself.)

pixel-scroll-mode is still buggy and generates an incredible amount of
garbage.  However, pixel-scroll-precision-mode was eventually written to
use its own code, without touching the rest of the code in
pixel-scroll.el, so this bug report is not as relevant as it used to be.

I'm curious as to whether or not there are people still using the old
pixel-scroll-mode, especially since pixel-scroll-precision-mode should
now work "out of the box" with wheel mice on X.